ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

## Enum AutopaymentModeParameter

- java.lang.Object
- - java.lang.Enum<AutopaymentModeParameter>
  - - ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.AutopaymentModeParameter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AutopaymentModeParameter>

      public enum AutopaymentModeParameter
      extends java.lang.Enum<AutopaymentModeParameter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO_DAY_SUM`
    `AUTO_MONTH_SUM`
    `AUTO_WEEK_SUM`
    `MONTH_DAY`
    `MONTH_SUM`
    `WEEK_DAY`
    `WEEK_SUM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AutopaymentModeParameter` | `getAutopaymentModeParameterByKey(java.lang.String key)`
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getTitle()`
    `static AutopaymentModeParameter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AutopaymentModeParameter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WEEK_DAY

          public static final AutopaymentModeParameter WEEK_DAY

    - #### WEEK_SUM

          public static final AutopaymentModeParameter WEEK_SUM

    - #### MONTH_DAY

          public static final AutopaymentModeParameter MONTH_DAY

    - #### MONTH_SUM

          public static final AutopaymentModeParameter MONTH_SUM

    - #### AUTO_DAY_SUM

          public static final AutopaymentModeParameter AUTO_DAY_SUM

    - #### AUTO_WEEK_SUM

          public static final AutopaymentModeParameter AUTO_WEEK_SUM

    - #### AUTO_MONTH_SUM

          public static final AutopaymentModeParameter AUTO_MONTH_SUM

  - ### Method Detail

    - #### values

          public static AutopaymentModeParameter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutopaymentModeParameter c : AutopaymentModeParameter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutopaymentModeParameter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getKey

          public java.lang.String getKey()

    - #### getTitle

          public java.lang.String getTitle()

    - #### getAutopaymentModeParameterByKey

          public static AutopaymentModeParameter getAutopaymentModeParameterByKey(java.lang.String key)